 var acc='x';
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}


//-----------------------------------------------------
function informacion_labor_academica(){ 
    var grado='';
    var curso='';
    var asignatura='';
    document.getElementById('labor_academica').innerHTML='';


    var parametros = {"accion":'tabla',"grado":grado,"curso":curso,"asignatura":asignatura};
              
            $.ajax({
                data:  parametros,
                url:"app/model/log_comp_profesor.php",
                type: "POST",
            success: function(res){                
                document.getElementById('labor_academica').innerHTML=res;
           }})
       
    parametros = {"accion":'infoprofesor'};
         
       $.ajax({
                data:  parametros,
                url:"app/model/log_comp_profesor.php",
                type: "POST",
            success: function(res){                
                document.getElementById('titulo').innerHTML=res+"&nbsp;&nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;          \n\
               <FONT SIZE='3' COLOR='#B40404'><B>TRIMESTRE</B></FONT> <input style='font-weight:bold;text-align:center;' onclick=\"mostrar('p_id1','p_id2','periodos',250,170)\" type='text' id='p_id1' name='p_id1'  size='2'>            \n\
                              <input style='font-weight:bold;text-align:center;background-color: #dfdcdc' type='text' id='p_id2' size='15' readonly=\"readonly\">";
     
           }})

}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function labor_academica(profesor,grado,curso,asignatura,sec){

var periodo=document.getElementById('p_id1').value;

if (periodo==""){
    alert("SELECCIONE EL TRIMESTRE");
    document.getElementById('p_id1').focus();
    return 0;
}


    var parametros = {"accion":'editar_labor_aca',
                          "grado":grado,
                          "curso":curso,
                          "asignatura":asignatura,
                          "codigo":sec

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/log_comp_profesor.php",
                type:  'post',
                success:function (response){
                            
                            var arr=response.split(";");
                            document.getElementById('g_id1').value=arr[2];
                            document.getElementById('g_id2').value=arr[3];

                            document.getElementById('c_id1').value=arr[4];
                            document.getElementById('c_id2').value=arr[5];
                            
                            document.getElementById('a_id1').value=arr[6];
                            document.getElementById('a_id2').value=arr[7];

                            document.getElementById('des').value='';
                            informacion_tabla();
                                                     
                }});


        //-------------------------------  

    var parametros1 = {"accion":'logros_hacer',"per":periodo,"grado":grado,"curso":curso,"asignatura":asignatura};
              
            $.ajax({
                data:  parametros1,
                url:"app/model/log_comp_profesor.php",
                type: "POST",
            success: function(respuesta){                
                 
                 $("#logro_saber1").html(respuesta);
           }})
           
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//*+++++++++++++++++++++

function grabar(){

var per=get("p_id1");
var grad=get("g_id1");
var cur=get("c_id1");
var asig=get("a_id1");

var fecha=get("fecha");
var des=get("des");
var logro=get("logro_saber1");

if(logro=='0'){
    alert("Seleccione Logro");
    exit();
}

if(per==''){
    alert("Ingrese Trimestre");
    exit();
}
if(grad==''){
    alert("Ingrese Grado");
    exit();
}
if(cur==''){
    alert("Ingrese Curso");
    exit();
}
if(asig==''){
    alert("Ingrese Asigantura");
    exit();
}


if(fecha==''){
    alert("Ingrese Fecha");
    exit();
}

if(des==''){
    alert("Ingrese Descripción");
    exit();
}

var op='';
if(acc=='x')
    {
        op='x';
    }else{
        op=acc;
        acc='x';
    }
 //  alert(op+"  "+acc);

var parametros = {"accion":'grabar_log_comp',
                          "operacion":op,
                          "per":per,
                          "grado":grad,
                          "curso":cur,
                          "asignatura":asig,
                          "fecha":fecha,
                          "descrip":des,
                          "logro":logro

                           };



        $.ajax({
                data:  parametros,
                url:"app/model/log_comp_profesor.php",
                type:  'post',
                success:function (response){
                  
                        if(response==1){

                            alert("Registro Grabado");
                            informacion_tabla();

                        }else if(response==2){

                            alert("Registro Actualizado");
                            informacion_tabla();
                        }

                }});

}


function informacion_tabla(){
   
  
    var per=get("p_id1");
    var grad=get("g_id1");
    var cur=get("c_id1");
    var asig=get("a_id1");
    
    document.getElementById("fecha").value='';
    document.getElementById("des").value='';

   var parametros = {"accion":'mostrar_tabla',"asignatura":asig,"periodo":per,"grado":grad,"curso":cur};
                   $.ajax({
                   data:  parametros,
                   url:"app/model/log_comp_profesor.php",
                   type: "POST",
                   success: function(respuesta){

                        document.getElementById("logros").innerHTML=respuesta;

            }})

}

function eliminar(orden){


var parametros = {"accion":'eliminar_logros_comp',
                          "orden":orden

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/log_comp_profesor.php",
                type:  'post',
                success:function (response){

                            alert(response);
                            informacion_tabla();

                }
        });
}


function editar(logro,orden){

    acc=orden;
    var parametros = {"accion":'editar_logros_competencias',
                           "orden":orden

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/log_comp_profesor.php",
                type:  'post',
                success:function (response){

                            var arr=response.split(";");

                            document.getElementById('fecha').value=arr[1];  
                            document.getElementById('des').value=arr[2];
                            
                            $("#logro_saber1 option[value="+ logro +"]").attr("selected",true);

                }});
}


function limpiarpp(){
    
    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('p_id1').value='';
    document.getElementById('p_id2').value='';

    document.getElementById('a_id1').value='';
    document.getElementById('a_id2').value='';

    document.getElementById('cod').value='';
    document.getElementById('fecha').value='';    
    document.getElementById('des').value='';

    document.getElementById('logros').innerHTML='';
}

//----------------------------------

function retornar_menu_docente(){

   document.location.href="../menu_profesor.php";

}